package com.oguerreiro.resilient.error;

public class InventoryImportVariableNotAllowedForDatafileException extends ResilientException {
  private static final String CODE = "E022";

  public InventoryImportVariableNotAllowedForDatafileException(String variableCode) {
    super("Variable Code [" + variableCode + "]; This variable is not configured to allow insertion from a datafile.");
    addMessageArg(variableCode);
  }

  @Override
  public String getMessageCode() {
    return CODE;
  }

}
